package com.ruoyi.ems.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电价策略对象 sys_electrovalency_strategy
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ElecValencyStrategy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 策略代码 */
    @Excel(name = "策略代码")
    private String strategyCode;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 执行日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "执行日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 优先级 */
    @Excel(name = "优先级")
    private Long priority;

    /**
     * 小时策略
     */
    private List<ElecValencyHourStrategy> hourStrategys;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStrategyCode(String strategyCode) 
    {
        this.strategyCode = strategyCode;
    }

    public String getStrategyCode() 
    {
        return strategyCode;
    }
    public void setStrategyName(String strategyName) 
    {
        this.strategyName = strategyName;
    }

    public String getStrategyName() 
    {
        return strategyName;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setPriority(Long priority) 
    {
        this.priority = priority;
    }

    public Long getPriority() 
    {
        return priority;
    }

    public List<ElecValencyHourStrategy> getHourStrategys() {
        return hourStrategys;
    }

    public void setHourStrategys(List<ElecValencyHourStrategy> hourStrategys) {
        this.hourStrategys = hourStrategys;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyCode", getStrategyCode())
            .append("strategyName", getStrategyName())
            .append("date", getDate())
            .append("priority", getPriority())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
